program main

  real(8) :: A(1000,1000)
  real(8) :: B(1000,1000)
  real(8) :: C(1000,1000)
  integer :: i, k
  character(10) ::  DateInfo
  integer ::  time

  A = 5.0d0
  B = 1.0d0
  C = 0.0d0

  write(*,*) dexp( B )

  write(*,*) time()

  do j = 1, 1000000000
    do i = 1, 1000
      do k = 1, 1000
        C(i,k) = min( A(i,k), B(i,k) )
        write(*,*) C(i,k)
      end do
    end do
  end do

  write(*,*) time()

  C = merge( A, B, A < B )

  write(*,*) time()



end program main
